﻿#gridHolder {
    display: grid;
    /*! width: 80vw; */
    /*! margin: 0px auto; */
    grid-template-columns: 1fr 6fr;
    /* part of the IE11 grid fix */
    /*! display: -ms-grid; */
    /*! -ms-grid-columns:  1fr 5fr; */

    grid-gap: 50px;
}

.J2-product-filters__checkbox.js-filter-capability-checkbox {
    width: intrinsic; /* Safari/WebKit uses a non-standard name */
    width: -moz-max-content; /* Firefox/Gecko */
    width: -webkit-max-content; /* Chrome */
    width: 9em; /*IE Fallback I guess*/
}

.showOptions {
    display: table;
}

.contentCards.hiddenCard {
    display: none;
}

#custom_body {
    padding-top: 2em;
    max-width: 1440px;
    margin: auto;
}

.J2-product-filters__heading {
    padding-bottom: 12px;
}

    .J2-product-filters__heading:not(#swap-heading) {
        margin-top: 50px;
    }

#reset {
    background-color: #da291c;
    color: white;
    text-align: center;
    font-weight: 500;
    margin-bottom: 1em;
    font-size: 1.25em;
    padding: .5em;
    min-width: 6em;
    cursor: pointer;
}

/* This will functionally hide anything, plz only use if you would otherwise need to use !important */
/* It's *technically* slower than just hiding it, not all css manipulations take the same time */
div.megaHidden {
    width: 0px;
    visibility: hidden;
}

.contentCards {
    /*! margin-bottom: 1em; */
    /*! margin-left: 1em; */
    padding: .5em;
    background-color: #f8f8f8;
    cursor: pointer;
}

    .contentCards * {
        pointer-events: none;
    }

div#titleDiv {
    display: grid;
    /* text-align: center; */
    font-size: 4em;
    font-weight: bold;
    /*! width: 80vw; */
    margin: 0 auto;
}

.selected {
    color: #da291c;
}

.displayCards {
    display: grid;
    grid-template-rows: 20% 80%;
    height: fit-content;
    /* part of the IE11 grid fix */
    /*! display: -ms-grid; */
    /*! -ms-grid-rows: 20% 80%; */
    cursor: pointer;
}

.filterHolder {
    display: grid;
    grid-template-rows: 1fr;
    /* part of the IE11 grid fix */
    display: -ms-grid;
    -ms-grid-rows: 1fr;
}

div#contentDiv {
    /* part of the IE11 grid fix */
    /*! display: flex; */
    /*! justify-content: space-evenly; */
    flex-wrap: wrap;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-auto-rows: min-content;
    grid-gap: 25px;
}

#homeButton, #download-pdf {
    visibility: hidden;
    /* 	margin-left: 10vw; */
    background-color: #da291c;
    color: white;
    text-align: center;
    font-weight: 500;
    margin: 1em 0 0;
    font-size: 1.25em;
    padding: .5em;
    cursor: pointer;
    width: auto;
    display: inline-block;
}

    #homeButton .icon-x {
        color: inherit;
        font-size: inherit;
        line-height: 1;
        top: 2px;
        position: relative;
        margin-right: 6px;
    }

    #download-pdf .icon-arrow-down {
        color: inherit;
        font-size: inherit;
        line-height: 1;
        top: 2px;
        position: relative;
        margin-right: 6px;
    }

#unitSwapper p {
}

.cardNameRow {
    font-weight: bold;
    height: fit-content;
    border-width: 0px 0px 1px 0px;
    border-color: #707070;
    border-style: solid;
}

.sectionHolder {
    display: grid;
    padding-top: 1em;
    grid-template-columns: 1fr 1fr;
    /* part of the IE11 grid fix */
    display: -ms-grid;
    -ms-grid-columns: 1fr 1fr;
}

img.sectionIcon {
    width: 1.5vw;
}

.dataRow {
    display: grid;
    grid-template-columns: 1fr 3fr;
    /* part of the IE11 grid fix */
    display: -ms-grid;
    -ms-grid-columns: 1fr 3fr;
}

#optionsDiv {
    /*! display: grid; */
    /*! grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr; */
    /* part of the IE11 grid fix */
    display: -ms-grid;
    -ms-grid-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
}

.filterOptionIcon {
    margin: 0px auto;
    height: 5em;
}

.filterOptionText {
    margin: 0px auto;
}

.filterOption {
    display: grid;
    grid-template-columns: 1fr;
    /* part of the IE11 grid fix */
    display: -ms-grid;
    -ms-grid-columns: 1fr;
}

div#unitSwapper {
    /*! width: 80vw; */
    /*! margin: 0px auto; */
    /*! display: flex; */
    /*! justify-content: flex-end; */
}

#unitSwapper p {
    background-color: #da291c;
    color: white;
    text-align: center;
    font-weight: 500;
    margin-bottom: 1em;
    font-size: 1.25em;
    padding: .5em;
    cursor: pointer;
    line-height: normal;
}

.is-open > ul {
    overflow: visible;
}

#legend {
    /*! display: flex; */
    /*! flex-wrap: wrap; */
    margin-top: 1em;
}

.legendLabel {
    display: flex;
    margin-top: .5em;
}

    .legendLabel dd {
        margin: 5px auto 0 15px;
    }

    .legendLabel > img {
        width: 1.25vw;
        margin-left: 5px;
    }

@media (max-width: 1200px) {
    div#contentDiv {
        display: flex !important
    }

    .contentCards {
        padding: .75em;
    }

    .legendLabel > img {
        width: 2vw;
    }

    .dataRow > img {
        width: 2vw;
    }
}

.title-bar {
    display: flex;
    flex-direction: row;
}

.title-bar > div {
    width: 50%;
}

.downloadBtnsDiv {
    text-align: right;
}

.downloadBtns {
    background-color: transparent;
    border: none;
    margin: 0px 0px;
    padding: 0px;
}

.downloadBtnsDiv > a {
    color: transparent;
}

#appleBtn {
    margin-bottom: 13px;
}
